#ifndef  PP_PHY_IF_FILTER_BANDWIDTH_H
#define  PP_PHY_IF_FILTER_BANDWIDTH_H
//=============================================================================
// ppPhyIfFilterBandwidth.h
//-----------------------------------------------------------------------------
// Copyright 2010 Silicon Laboratories, Inc.
// http://www.silabs.com
//
// Header File Description:
//
// Target:
//    Si10xx
//
// IDE:
//    Silicon Laboratories IDE
//
// Tool Chains:
//    Keil
//    SDCC
//    Raisonance
//
// Project Name:
//    PreProcessorPHY
//
// Release 1.1
//    - TBD
//
// This software must be used in accordance with the End User License Agreement.
//
//=============================================================================
//-----------------------------------------------------------------------------
#ifndef TRX_DATA_RATE
#error  "TRX_DATA_RATE must be defined before including this file"
#endif
#ifndef TRX_DEVIATION
#error  "TRX_DEVIATION must be defined before including this file"
#endif
#ifndef RX_BANDWIDTH
#error  "RX_BANDWIDTH must be defined before including this file"
#endif
//-----------------------------------------------------------------------------
// First calculate the MODULATION_INDEX
//-----------------------------------------------------------------------------
#define MODULATION_INDEX ((TRX_DEVIATION*2)/TRX_DATA_RATE)
//-----------------------------------------------------------------------------
// Optional macros for calulating RX_BANDWIDTH based on XTAL_TOLERANCE
//
// These macros have been depreciated. Please use the Excel calculator to
// determine the optimium RX bandwith for a particular application.
//-----------------------------------------------------------------------------
//#define IDEAL_BANDWIDTH (TRX_DATA_RATE + (2*TRX_DEVIATION))
//#define FREQUENCY_ERROR (TRX_FREQUENCY/1000*XTAL_TOLERANCE*4/1000)
//#if(FREQUENCY_ERROR>IDEAL_BANDWIDTH)
//#define RX_BANDWIDTH FREQUENCY_ERROR
//#else
//#define RX_BANDWIDTH IDEAL_BANDWIDTH
//#endif
//-----------------------------------------------------------------------------
// MODULATION_INDEX < 2 (Narrowband)
//-----------------------------------------------------------------------------
#if (MODULATION_INDEX<2)
#if (RX_BANDWIDTH<2600)
#define IF_FILTER_BANDWIDTH 0x51
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<2800)
#define IF_FILTER_BANDWIDTH 0x52
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<3100)
#define IF_FILTER_BANDWIDTH 0x53
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<3200)
#define IF_FILTER_BANDWIDTH 0x54
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<3700)
#define IF_FILTER_BANDWIDTH 0x55
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<4900)
#define IF_FILTER_BANDWIDTH 0x41
#define AFC_LIMIT 0x02
#elif (RX_BANDWIDTH<5400)
#define IF_FILTER_BANDWIDTH 0x42
#define AFC_LIMIT 0x02
#elif (RX_BANDWIDTH<5900)
#define IF_FILTER_BANDWIDTH 0x43
#define AFC_LIMIT 0x02
#elif (RX_BANDWIDTH<6100)
#define IF_FILTER_BANDWIDTH 0x44
#define AFC_LIMIT 0x02
#elif (RX_BANDWIDTH<7200)
#define IF_FILTER_BANDWIDTH 0x45
#define AFC_LIMIT 0x03
#elif (RX_BANDWIDTH<9500)
#define IF_FILTER_BANDWIDTH 0x31
#define AFC_LIMIT 0x03
#elif (RX_BANDWIDTH<10600)
#define IF_FILTER_BANDWIDTH 0x32
#define AFC_LIMIT 0x04
#elif (RX_BANDWIDTH<11500)
#define IF_FILTER_BANDWIDTH 0x33
#define AFC_LIMIT 0x04
#elif (RX_BANDWIDTH<12100)
#define IF_FILTER_BANDWIDTH 0x34
#define AFC_LIMIT 0x04
#elif (RX_BANDWIDTH<14200)
#define IF_FILTER_BANDWIDTH 0x35
#define AFC_LIMIT 0x05
#elif (RX_BANDWIDTH<16200)
#define IF_FILTER_BANDWIDTH 0x36
#define AFC_LIMIT 0x06
#elif (RX_BANDWIDTH<17500)
#define IF_FILTER_BANDWIDTH 0x3A
#define AFC_LIMIT 0x06
#elif (RX_BANDWIDTH<19400)
#define IF_FILTER_BANDWIDTH 0x3B
#define AFC_LIMIT 0x07
#elif (RX_BANDWIDTH<21400)
#define IF_FILTER_BANDWIDTH 0x3C
#define AFC_LIMIT 0x08
#elif (RX_BANDWIDTH<23900)
#define IF_FILTER_BANDWIDTH 0x3D
#define AFC_LIMIT 0x08
#elif (RX_BANDWIDTH<25700)
#define IF_FILTER_BANDWIDTH 0x3E
#define AFC_LIMIT 0x09
#elif (RX_BANDWIDTH<28200)
#define IF_FILTER_BANDWIDTH 0x25
#define AFC_LIMIT 0x0A
#elif (RX_BANDWIDTH<32200)
#define IF_FILTER_BANDWIDTH 0x26
#define AFC_LIMIT 0x0B
#elif (RX_BANDWIDTH<34700)
#define IF_FILTER_BANDWIDTH 0x27
#define AFC_LIMIT 0x0C
#elif (RX_BANDWIDTH<38600)
#define IF_FILTER_BANDWIDTH 0x2B
#define AFC_LIMIT 0x0E
#elif (RX_BANDWIDTH<42700)
#define IF_FILTER_BANDWIDTH 0x2C
#define AFC_LIMIT 0x0F
#elif (RX_BANDWIDTH<47700)
#define IF_FILTER_BANDWIDTH 0x2D
#define AFC_LIMIT 0x11
#elif (RX_BANDWIDTH<51200)
#define IF_FILTER_BANDWIDTH 0x2E
#define AFC_LIMIT 0x12
#elif (RX_BANDWIDTH<56200)
#define IF_FILTER_BANDWIDTH 0x15
#define AFC_LIMIT 0x14
#elif (RX_BANDWIDTH<64100)
#define IF_FILTER_BANDWIDTH 0x16
#define AFC_LIMIT 0x17
#elif (RX_BANDWIDTH<69200)
#define IF_FILTER_BANDWIDTH 0x17
#define AFC_LIMIT 0x19
#elif (RX_BANDWIDTH<75200)
#define IF_FILTER_BANDWIDTH 0x01
#define AFC_LIMIT 0x1B
#elif (RX_BANDWIDTH<83200)
#define IF_FILTER_BANDWIDTH 0x02
#define AFC_LIMIT 0x1E
#elif (RX_BANDWIDTH<90000)
#define IF_FILTER_BANDWIDTH 0x03
#define AFC_LIMIT 0x20
#elif (RX_BANDWIDTH<95300)
#define IF_FILTER_BANDWIDTH 0x04
#define AFC_LIMIT 0x22
#elif (RX_BANDWIDTH<112100)
#define IF_FILTER_BANDWIDTH 0x05
#define AFC_LIMIT 0x28
#elif (RX_BANDWIDTH<127900)
#define IF_FILTER_BANDWIDTH 0x06
#define AFC_LIMIT 0x2D
#elif (RX_BANDWIDTH<137900)
#define IF_FILTER_BANDWIDTH 0x07
#define AFC_LIMIT 0x31
#elif (RX_BANDWIDTH<142800)
#define IF_FILTER_BANDWIDTH 0x94
#define AFC_LIMIT 0x33
#elif (RX_BANDWIDTH<167800)
#define IF_FILTER_BANDWIDTH 0x95
#define AFC_LIMIT 0x3C
#elif (RX_BANDWIDTH<181100)
#define IF_FILTER_BANDWIDTH 0x99
#define AFC_LIMIT 0x40
#elif (RX_BANDWIDTH<191500)
#define IF_FILTER_BANDWIDTH 0x96
#define AFC_LIMIT 0x44
#elif (RX_BANDWIDTH<208400)
#define IF_FILTER_BANDWIDTH 0x9A
#define AFC_LIMIT 0x48
#elif (RX_BANDWIDTH<225100)
#define IF_FILTER_BANDWIDTH 0x81
#define AFC_LIMIT 0x50
#elif (RX_BANDWIDTH<248800)
#define IF_FILTER_BANDWIDTH 0x82
#define AFC_LIMIT 0x58
#elif (RX_BANDWIDTH<269300)
#define IF_FILTER_BANDWIDTH 0x83
#define AFC_LIMIT 0x60
#elif (RX_BANDWIDTH<284900)
#define IF_FILTER_BANDWIDTH 0x84
#define AFC_LIMIT 0x65
#elif (RX_BANDWIDTH<335500)
#define IF_FILTER_BANDWIDTH 0x88
#define AFC_LIMIT 0x77
#elif (RX_BANDWIDTH<361800)
#define IF_FILTER_BANDWIDTH 0x89
#define AFC_LIMIT 0x81
#elif (RX_BANDWIDTH<420200)
#define IF_FILTER_BANDWIDTH 0x8A
#define AFC_LIMIT 0x95
#elif (RX_BANDWIDTH<468400)
#define IF_FILTER_BANDWIDTH 0x8B
#define AFC_LIMIT 0xA7
#elif (RX_BANDWIDTH<518800)
#define IF_FILTER_BANDWIDTH 0x8C
#define AFC_LIMIT 0xB8
#elif (RX_BANDWIDTH<577000)
#define IF_FILTER_BANDWIDTH 0x8D
#define AFC_LIMIT 0xCD
#else
#define IF_FILTER_BANDWIDTH 0x8E
#define AFC_LIMIT 0xDD
#endif
//-----------------------------------------------------------------------------
// MODULATION_INDEX < 10
//-----------------------------------------------------------------------------
#elif (MODULATION_INDEX<10)
#if (RX_BANDWIDTH<2600)
#define IF_FILTER_BANDWIDTH 0x51
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<2800)
#define IF_FILTER_BANDWIDTH 0x52
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<3100)
#define IF_FILTER_BANDWIDTH 0x53
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<3200)
#define IF_FILTER_BANDWIDTH 0x54
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<3700)
#define IF_FILTER_BANDWIDTH 0x55
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<4900)
#define IF_FILTER_BANDWIDTH 0x41
#define AFC_LIMIT 0x02
#elif (RX_BANDWIDTH<5400)
#define IF_FILTER_BANDWIDTH 0x42
#define AFC_LIMIT 0x02
#elif (RX_BANDWIDTH<5900)
#define IF_FILTER_BANDWIDTH 0x43
#define AFC_LIMIT 0x02
#elif (RX_BANDWIDTH<6100)
#define IF_FILTER_BANDWIDTH 0x44
#define AFC_LIMIT 0x02
#elif (RX_BANDWIDTH<7200)
#define IF_FILTER_BANDWIDTH 0x45
#define AFC_LIMIT 0x02
#elif (RX_BANDWIDTH<9500)
#define IF_FILTER_BANDWIDTH 0x31
#define AFC_LIMIT 0x03
#elif (RX_BANDWIDTH<10600)
#define IF_FILTER_BANDWIDTH 0x32
#define AFC_LIMIT 0x03
#elif (RX_BANDWIDTH<11500)
#define IF_FILTER_BANDWIDTH 0x33
#define AFC_LIMIT 0x04
#elif (RX_BANDWIDTH<12100)
#define IF_FILTER_BANDWIDTH 0x34
#define AFC_LIMIT 0x04
#elif (RX_BANDWIDTH<14200)
#define IF_FILTER_BANDWIDTH 0x35
#define AFC_LIMIT 0x04
#elif (RX_BANDWIDTH<16200)
#define IF_FILTER_BANDWIDTH 0x36
#define AFC_LIMIT 0x05
#elif (RX_BANDWIDTH<17500)
#define IF_FILTER_BANDWIDTH 0x37
#define AFC_LIMIT 0x05
#elif (RX_BANDWIDTH<18900)
#define IF_FILTER_BANDWIDTH 0x21
#define AFC_LIMIT 0x06
#elif (RX_BANDWIDTH<21600)
#define IF_FILTER_BANDWIDTH 0x22
#define AFC_LIMIT 0x07
#elif (RX_BANDWIDTH<22700)
#define IF_FILTER_BANDWIDTH 0x23
#define AFC_LIMIT 0x07
#elif (RX_BANDWIDTH<24000)
#define IF_FILTER_BANDWIDTH 0x24
#define AFC_LIMIT 0x07
#elif (RX_BANDWIDTH<28200)
#define IF_FILTER_BANDWIDTH 0x2A
#define AFC_LIMIT 0x09
#elif (RX_BANDWIDTH<31900)
#define IF_FILTER_BANDWIDTH 0x1F
#define AFC_LIMIT 0x0A
#elif (RX_BANDWIDTH<34700)
#define IF_FILTER_BANDWIDTH 0x27
#define AFC_LIMIT 0x0B
#elif (RX_BANDWIDTH<38600)
#define IF_FILTER_BANDWIDTH 0x2B
#define AFC_LIMIT 0x0C
#elif (RX_BANDWIDTH<42700)
#define IF_FILTER_BANDWIDTH 0x2C
#define AFC_LIMIT 0x0D
#elif (RX_BANDWIDTH<47700)
#define IF_FILTER_BANDWIDTH 0x2D
#define AFC_LIMIT 0x0F
#elif (RX_BANDWIDTH<51200)
#define IF_FILTER_BANDWIDTH 0x2E
#define AFC_LIMIT 0x10
#elif (RX_BANDWIDTH<56200)
#define IF_FILTER_BANDWIDTH 0x15
#define AFC_LIMIT 0x11
#elif (RX_BANDWIDTH<64100)
#define IF_FILTER_BANDWIDTH 0x16
#define AFC_LIMIT 0x14
#elif (RX_BANDWIDTH<69200)
#define IF_FILTER_BANDWIDTH 0x17
#define AFC_LIMIT 0x16
#elif (RX_BANDWIDTH<75200)
#define IF_FILTER_BANDWIDTH 0x01
#define AFC_LIMIT 0x17
#elif (RX_BANDWIDTH<83200)
#define IF_FILTER_BANDWIDTH 0x02
#define AFC_LIMIT 0x1A
#elif (RX_BANDWIDTH<90000)
#define IF_FILTER_BANDWIDTH 0x03
#define AFC_LIMIT 0x1C
#elif (RX_BANDWIDTH<95300)
#define IF_FILTER_BANDWIDTH 0x04
#define AFC_LIMIT 0x1E
#elif (RX_BANDWIDTH<112100)
#define IF_FILTER_BANDWIDTH 0x05
#define AFC_LIMIT 0x23
#elif (RX_BANDWIDTH<127900)
#define IF_FILTER_BANDWIDTH 0x06
#define AFC_LIMIT 0x28
#elif (RX_BANDWIDTH<137900)
#define IF_FILTER_BANDWIDTH 0x07
#define AFC_LIMIT 0x2B
#elif (RX_BANDWIDTH<138700)
#define IF_FILTER_BANDWIDTH 0x0A
#define AFC_LIMIT 0x2B
#elif (RX_BANDWIDTH<154200)
#define IF_FILTER_BANDWIDTH 0x0B
#define AFC_LIMIT 0x30
#elif (RX_BANDWIDTH<168000)
#define IF_FILTER_BANDWIDTH 0x98
#define AFC_LIMIT 0x34
#elif (RX_BANDWIDTH<181100)
#define IF_FILTER_BANDWIDTH 0x99
#define AFC_LIMIT 0x38
#elif (RX_BANDWIDTH<208400)
#define IF_FILTER_BANDWIDTH 0x9A
#define AFC_LIMIT 0x41
#elif (RX_BANDWIDTH<232000)
#define IF_FILTER_BANDWIDTH 0x9B
#define AFC_LIMIT 0x48
#elif (RX_BANDWIDTH<256000)
#define IF_FILTER_BANDWIDTH 0x9C
#define AFC_LIMIT 0x50
#elif (RX_BANDWIDTH<269300)
#define IF_FILTER_BANDWIDTH 0x83
#define AFC_LIMIT 0x54
#elif (RX_BANDWIDTH<284900)
#define IF_FILTER_BANDWIDTH 0x84
#define AFC_LIMIT 0x59
#elif (RX_BANDWIDTH<335500)
#define IF_FILTER_BANDWIDTH 0x88
#define AFC_LIMIT 0x68
#elif (RX_BANDWIDTH<361800)
#define IF_FILTER_BANDWIDTH 0x89
#define AFC_LIMIT 0x71
#elif (RX_BANDWIDTH<420200)
#define IF_FILTER_BANDWIDTH 0x8A
#define AFC_LIMIT 0x83
#elif (RX_BANDWIDTH<468400)
#define IF_FILTER_BANDWIDTH 0x8B
#define AFC_LIMIT 0x92
#elif (RX_BANDWIDTH<518800)
#define IF_FILTER_BANDWIDTH 0x8C
#define AFC_LIMIT 0xA1
#elif (RX_BANDWIDTH<577000)
#define IF_FILTER_BANDWIDTH 0x8D
#define AFC_LIMIT 0xB4
#else
#define IF_FILTER_BANDWIDTH 0x8E
#define AFC_LIMIT 0xC1
#endif
//-----------------------------------------------------------------------------
// MODULATION_INDEX > 10
//-----------------------------------------------------------------------------
#else
#if (RX_BANDWIDTH<2600)
#define IF_FILTER_BANDWIDTH 0x51
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<2800)
#define IF_FILTER_BANDWIDTH 0x52
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<3100)
#define IF_FILTER_BANDWIDTH 0x53
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<3200)
#define IF_FILTER_BANDWIDTH 0x54
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<3700)
#define IF_FILTER_BANDWIDTH 0x55
#define AFC_LIMIT 0x01
#elif (RX_BANDWIDTH<4900)
#define IF_FILTER_BANDWIDTH 0x41
#define AFC_LIMIT 0x02
#elif (RX_BANDWIDTH<5400)
#define IF_FILTER_BANDWIDTH 0x42
#define AFC_LIMIT 0x02
#elif (RX_BANDWIDTH<5900)
#define IF_FILTER_BANDWIDTH 0x43
#define AFC_LIMIT 0x02
#elif (RX_BANDWIDTH<6100)
#define IF_FILTER_BANDWIDTH 0x44
#define AFC_LIMIT 0x02
#elif (RX_BANDWIDTH<7200)
#define IF_FILTER_BANDWIDTH 0x45
#define AFC_LIMIT 0x02
#elif (RX_BANDWIDTH<9500)
#define IF_FILTER_BANDWIDTH 0x31
#define AFC_LIMIT 0x03
#elif (RX_BANDWIDTH<10600)
#define IF_FILTER_BANDWIDTH 0x32
#define AFC_LIMIT 0x04
#elif (RX_BANDWIDTH<11500)
#define IF_FILTER_BANDWIDTH 0x33
#define AFC_LIMIT 0x04
#elif (RX_BANDWIDTH<12100)
#define IF_FILTER_BANDWIDTH 0x34
#define AFC_LIMIT 0x04
#elif (RX_BANDWIDTH<14200)
#define IF_FILTER_BANDWIDTH 0x35
#define AFC_LIMIT 0x05
#elif (RX_BANDWIDTH<16200)
#define IF_FILTER_BANDWIDTH 0x36
#define AFC_LIMIT 0x06
#elif (RX_BANDWIDTH<17500)
#define IF_FILTER_BANDWIDTH 0x3A
#define AFC_LIMIT 0x06
#elif (RX_BANDWIDTH<19400)
#define IF_FILTER_BANDWIDTH 0x3B
#define AFC_LIMIT 0x07
#elif (RX_BANDWIDTH<21400)
#define IF_FILTER_BANDWIDTH 0x3C
#define AFC_LIMIT 0x08
#elif (RX_BANDWIDTH<23900)
#define IF_FILTER_BANDWIDTH 0x3D
#define AFC_LIMIT 0x08
#elif (RX_BANDWIDTH<25700)
#define IF_FILTER_BANDWIDTH 0x3E
#define AFC_LIMIT 0x09
#elif (RX_BANDWIDTH<28200)
#define IF_FILTER_BANDWIDTH 0x25
#define AFC_LIMIT 0x0A
#elif (RX_BANDWIDTH<32200)
#define IF_FILTER_BANDWIDTH 0x26
#define AFC_LIMIT 0x0B
#elif (RX_BANDWIDTH<34700)
#define IF_FILTER_BANDWIDTH 0x27
#define AFC_LIMIT 0x0C
#elif (RX_BANDWIDTH<38600)
#define IF_FILTER_BANDWIDTH 0x2B
#define AFC_LIMIT 0x0E
#elif (RX_BANDWIDTH<42700)
#define IF_FILTER_BANDWIDTH 0x2C
#define AFC_LIMIT 0x0F
#elif (RX_BANDWIDTH<47700)
#define IF_FILTER_BANDWIDTH 0x2D
#define AFC_LIMIT 0x0F
#elif (RX_BANDWIDTH<51200)
#define IF_FILTER_BANDWIDTH 0x2E
#define AFC_LIMIT 0x10
#elif (RX_BANDWIDTH<56200)
#define IF_FILTER_BANDWIDTH 0x15
#define AFC_LIMIT 0x11
#elif (RX_BANDWIDTH<64100)
#define IF_FILTER_BANDWIDTH 0x16
#define AFC_LIMIT 0x14
#elif (RX_BANDWIDTH<69400)
#define IF_FILTER_BANDWIDTH 0x1A
#define AFC_LIMIT 0x16
#elif (RX_BANDWIDTH<77100)
#define IF_FILTER_BANDWIDTH 0x1B
#define AFC_LIMIT 0x18
#elif (RX_BANDWIDTH<85100)
#define IF_FILTER_BANDWIDTH 0x1C
#define AFC_LIMIT 0x1A
#elif (RX_BANDWIDTH<95300)
#define IF_FILTER_BANDWIDTH 0x1D
#define AFC_LIMIT 0x1E
#elif (RX_BANDWIDTH<102200)
#define IF_FILTER_BANDWIDTH 0x1E
#define AFC_LIMIT 0x20
#elif (RX_BANDWIDTH<115600)
#define IF_FILTER_BANDWIDTH 0xAB
#define AFC_LIMIT 0x24
#elif (RX_BANDWIDTH<127700)
#define IF_FILTER_BANDWIDTH 0xAC
#define AFC_LIMIT 0x28
#elif (RX_BANDWIDTH<142800)
#define IF_FILTER_BANDWIDTH 0xAD
#define AFC_LIMIT 0x2C
#elif (RX_BANDWIDTH<153300)
#define IF_FILTER_BANDWIDTH 0xAE
#define AFC_LIMIT 0x30
#elif (RX_BANDWIDTH<168000)
#define IF_FILTER_BANDWIDTH 0x98
#define AFC_LIMIT 0x34
#elif (RX_BANDWIDTH<181100)
#define IF_FILTER_BANDWIDTH 0x99
#define AFC_LIMIT 0x38
#elif (RX_BANDWIDTH<208400)
#define IF_FILTER_BANDWIDTH 0x9A
#define AFC_LIMIT 0x41
#elif (RX_BANDWIDTH<232000)
#define IF_FILTER_BANDWIDTH 0x9B
#define AFC_LIMIT 0x48
#elif (RX_BANDWIDTH<256000)
#define IF_FILTER_BANDWIDTH 0x9C
#define AFC_LIMIT 0x50
#elif (RX_BANDWIDTH<269300)
#define IF_FILTER_BANDWIDTH 0x83
#define AFC_LIMIT 0x54
#elif (RX_BANDWIDTH<284900)
#define IF_FILTER_BANDWIDTH 0x84
#define AFC_LIMIT 0x59
#elif (RX_BANDWIDTH<335500)
#define IF_FILTER_BANDWIDTH 0x88
#define AFC_LIMIT 0x68
#elif (RX_BANDWIDTH<361800)
#define IF_FILTER_BANDWIDTH 0x89
#define AFC_LIMIT 0x71
#elif (RX_BANDWIDTH<420200)
#define IF_FILTER_BANDWIDTH 0x8A
#define AFC_LIMIT 0x83
#elif (RX_BANDWIDTH<468400)
#define IF_FILTER_BANDWIDTH 0x8B
#define AFC_LIMIT 0x92
#elif (RX_BANDWIDTH<518800)
#define IF_FILTER_BANDWIDTH 0x8C
#define AFC_LIMIT 0xA1
#elif (RX_BANDWIDTH<577000)
#define IF_FILTER_BANDWIDTH 0x8D
#define AFC_LIMIT 0xB4
#else
#define IF_FILTER_BANDWIDTH 0x8E
#define AFC_LIMIT 0xC1
#endif
#endif
//-----------------------------------------------------------------------------
// define RX_DWN3_BYP & RX_NDEC_EXP based on IF_FILTER_BANDWIDTH from Table
//-----------------------------------------------------------------------------
#define RX_DWN3_BYP  (IF_FILTER_BANDWIDTH>>7)
#define RX_NDEC_EXP  ((IF_FILTER_BANDWIDTH>>4)&0x03)
//=============================================================================
// End
//=============================================================================
#endif   // PP_PHY_IF_FILTER_BANDWIDTH_H
